SDL_WindowData Struct Reference

`#include <SDL_androidwindow.h>`

Inheritance diagram for SDL_WindowData:
[legend]
Collaboration diagram for SDL_WindowData:
[legend]

## Data Fields

EGLSurface | egl_surface
EGLContext | egl_context
ANativeWindow * | native_window
SDL_Window * | window
NSWindow * | nswindow
NSMutableArray * | nscontexts
SDL_bool | created
SDL_bool | inWindowMove
Cocoa_WindowListener * | listener
struct SDL_VideoData * | videodata
SDL_Surface * | surface
int | windowed_width
int | windowed_height
float | pixel_ratio
SDL_bool | external_size
int | requested_fullscreen_mode
SDL_bool | uses_gles
EGLConfig | gles_configs [32]
EGLint | gles_config
EGLContext | gles_context
EGLint | gles_attributes [256]
EGLSurface | gles_surface
EGL_DISPMANX_WINDOW_T | dispman_window
EGLNativeWindowType | native_window
SDL_Window * | sdlwindow
SDL_VideoData * | waylandData
struct wl_surface * | surface
struct wl_shell_surface * | shell_surface
struct wl_egl_window * | egl_window
struct SDL_WaylandInput * | keyboard_device
HWND | hwnd
HDC | hdc
HDC | mdc
HBITMAP | hbm
WNDPROC | wndproc
WPARAM | mouse_button_flags
SDL_bool | initializing
SDL_bool | expected_resize
SDL_bool | in_border_change
SDL_bool | in_title_click
SDL_bool | focus_click_pending
SDL_bool | windowed_mode_was_maximized
SDL_bool | in_window_deactivation
Window | xwindow
Window | fswindow
Visual * | visual
Colormap | colormap
SDL_bool | use_mitshm
XShmSegmentInfo | shminfo
XImage * | ximage
GC | gc
XIC | ic
PendingFocusEnum | pending_focus
Uint32 | pending_focus_time
XConfigureEvent | last_xconfigure
Atom | xdnd_req
Window | xdnd_source

## Properties

UIWindow * | uiwindow
SDL_uikitviewcontroller * | viewcontroller
NSMutableArray * | views

## Detailed Description

Definition at line 34 of file SDL_androidwindow.h.

## Field Documentation

Colormap SDL_WindowData::colormap

Definition at line 49 of file SDL_x11window.h.

SDL_bool SDL_WindowData::created

Definition at line 113 of file SDL_cocoawindow.h.

EGL_DISPMANX_WINDOW_T SDL_WindowData::dispman_window

Definition at line 47 of file SDL_rpivideo.h.

EGLContext SDL_WindowData::egl_context

Definition at line 37 of file SDL_androidwindow.h.

EGLSurface SDL_WindowData::egl_surface

Definition at line 36 of file SDL_androidwindow.h.

struct wl_egl_window* SDL_WindowData::egl_window

Definition at line 39 of file SDL_waylandwindow.h.

SDL_bool SDL_WindowData::expected_resize

Definition at line 41 of file SDL_windowswindow.h.

SDL_bool SDL_WindowData::external_size

Definition at line 45 of file SDL_emscriptenvideo.h.

SDL_bool SDL_WindowData::focus_click_pending

Definition at line 44 of file SDL_windowswindow.h.

Window SDL_WindowData::fswindow

Definition at line 47 of file SDL_x11window.h.

GC SDL_WindowData::gc

Definition at line 56 of file SDL_x11window.h.

EGLint SDL_WindowData::gles_attributes[256]

Definition at line 53 of file SDL_pandora.h.

EGLint SDL_WindowData::gles_config

Definition at line 51 of file SDL_pandora.h.

EGLConfig SDL_WindowData::gles_configs[32]

Definition at line 50 of file SDL_pandora.h.

EGLContext SDL_WindowData::gles_context

Definition at line 52 of file SDL_pandora.h.

EGLSurface SDL_WindowData::gles_surface

Definition at line 54 of file SDL_pandora.h.

HBITMAP SDL_WindowData::hbm

Definition at line 36 of file SDL_windowswindow.h.

HDC SDL_WindowData::hdc

Definition at line 34 of file SDL_windowswindow.h.

HWND SDL_WindowData::hwnd

Definition at line 33 of file SDL_windowswindow.h.

XIC SDL_WindowData::ic

Definition at line 57 of file SDL_x11window.h.

SDL_bool SDL_WindowData::in_border_change

Definition at line 42 of file SDL_windowswindow.h.

SDL_bool SDL_WindowData::in_title_click

Definition at line 43 of file SDL_windowswindow.h.

SDL_bool SDL_WindowData::in_window_deactivation

Definition at line 46 of file SDL_windowswindow.h.

SDL_bool SDL_WindowData::initializing

Definition at line 40 of file SDL_windowswindow.h.

SDL_bool SDL_WindowData::inWindowMove

Definition at line 114 of file SDL_cocoawindow.h.

struct SDL_WaylandInput* SDL_WindowData::keyboard_device

Definition at line 40 of file SDL_waylandwindow.h.

XConfigureEvent SDL_WindowData::last_xconfigure

Definition at line 61 of file SDL_x11window.h.

Cocoa_WindowListener* SDL_WindowData::listener

Definition at line 115 of file SDL_cocoawindow.h.

HDC SDL_WindowData::mdc

Definition at line 35 of file SDL_windowswindow.h.

WPARAM SDL_WindowData::mouse_button_flags

Definition at line 39 of file SDL_windowswindow.h.

ANativeWindow* SDL_WindowData::native_window

Definition at line 38 of file SDL_androidwindow.h.

EGLNativeWindowType SDL_WindowData::native_window

Definition at line 61 of file SDL_vivantevideo.h.

NSMutableArray* SDL_WindowData::nscontexts

Definition at line 112 of file SDL_cocoawindow.h.

NSWindow* SDL_WindowData::nswindow

Definition at line 111 of file SDL_cocoawindow.h.

PendingFocusEnum SDL_WindowData::pending_focus

Definition at line 59 of file SDL_x11window.h.

Uint32 SDL_WindowData::pending_focus_time

Definition at line 60 of file SDL_x11window.h.

float SDL_WindowData::pixel_ratio

Definition at line 43 of file SDL_emscriptenvideo.h.

int SDL_WindowData::requested_fullscreen_mode

Definition at line 47 of file SDL_emscriptenvideo.h.

SDL_Window* SDL_WindowData::sdlwindow

Definition at line 35 of file SDL_waylandwindow.h.

struct wl_shell_surface* SDL_WindowData::shell_surface

Definition at line 38 of file SDL_waylandwindow.h.

XShmSegmentInfo SDL_WindowData::shminfo

Definition at line 53 of file SDL_x11window.h.

struct wl_surface* SDL_WindowData::surface

Definition at line 37 of file SDL_waylandwindow.h.

SDL_Surface* SDL_WindowData::surface

Definition at line 38 of file SDL_emscriptenvideo.h.

SDL_bool SDL_WindowData::use_mitshm

Definition at line 52 of file SDL_x11window.h.

SDL_bool SDL_WindowData::uses_gles

Definition at line 48 of file SDL_pandora.h.

struct SDL_VideoData * SDL_WindowData::videodata

Definition at line 116 of file SDL_cocoawindow.h.

Visual* SDL_WindowData::visual

Definition at line 48 of file SDL_x11window.h.

SDL_VideoData* SDL_WindowData::waylandData

Definition at line 36 of file SDL_waylandwindow.h.

SDL_Window * SDL_WindowData::window

Definition at line 110 of file SDL_cocoawindow.h.

int SDL_WindowData::windowed_height

Definition at line 41 of file SDL_emscriptenvideo.h.

SDL_bool SDL_WindowData::windowed_mode_was_maximized

Definition at line 45 of file SDL_windowswindow.h.

int SDL_WindowData::windowed_width

Definition at line 40 of file SDL_emscriptenvideo.h.

WNDPROC SDL_WindowData::wndproc

Definition at line 37 of file SDL_windowswindow.h.

Atom SDL_WindowData::xdnd_req

Definition at line 63 of file SDL_x11window.h.

Window SDL_WindowData::xdnd_source

Definition at line 64 of file SDL_x11window.h.

XImage* SDL_WindowData::ximage

Definition at line 55 of file SDL_x11window.h.

Window SDL_WindowData::xwindow

Definition at line 46 of file SDL_x11window.h.

## Property Documentation

UIWindow* SDL_WindowData::uiwindow

read write nonatomic strong

Definition at line 46 of file SDL_uikitwindow.h.

SDL_uikitviewcontroller* SDL_WindowData::viewcontroller

read write nonatomic strong

Definition at line 47 of file SDL_uikitwindow.h.

NSMutableArray* SDL_WindowData::views

read write nonatomic copy

Definition at line 50 of file SDL_uikitwindow.h.

The documentation for this struct was generated from the following files:

- src/video/android/SDL_androidwindow.h
- src/video/cocoa/SDL_cocoawindow.h
- src/video/emscripten/SDL_emscriptenvideo.h
- src/video/pandora/SDL_pandora.h
- src/video/psp/SDL_pspvideo.h
- src/video/raspberry/SDL_rpivideo.h
- src/video/uikit/SDL_uikitwindow.h
- src/video/vivante/SDL_vivantevideo.h
- src/video/wayland/SDL_waylandwindow.h
- src/video/windows/SDL_windowswindow.h
- src/video/x11/SDL_x11window.h